/*
 * krellproperties.h
 * Copyright (c) 2004 Paul Forgey
 *
 */
#ifndef KRELLPROPERTIES_H
#define KRELLPROPERTIES_H

#define kKrellProperty_DeviceSelect         "Device Select"
#define kKrellProperty_MainDeviceSelect     "Main Device Select"
#define kKrellProperty_Zone2DeviceSelect    "Zone2 Device Select"
#define kKrellProperty_VolumeLevel          "Volume Level" // also main for HTS71
#define kKrellProperty_Zone2VolumeLevel     "Zone2 Volume Level"
#define kKrellProperty_CenterTrim           "Center Trim"
#define kKrellProperty_SurroundTrim         "Surround Trim"
#define kKrellProperty_BackTrim             "Back Trim"
#define kKrellProperty_SubwooferTrim        "Subwoofer Trim"
#define kKrellProperty_Balance              "Balance"
#define kKrellProperty_Zone2Balance         "Zone2 Balance"
#define kKrellProperty_Compression          "Compression"
#define kKrellProperty_DirectAudio          "Direct Audio"
#define kKrellProperty_MainDirectAudio      "Main Direct Audio"
#define kKrellProperty_Zone2DirectAudio     "Zone2 Direct Audio"
#define kKrellProperty_DirectVideo          "Direct Video"
#define kKrellProperty_Power                "Power State"
#define kKrellProperty_Zone2Power           "Zone2 Power State"
#define kKrellProperty_RoomEQ               "Room EQ"
#define kKrellProperty_Trigger1             "Trigger 1"
#define kKrellProperty_Trigger2             "Trigger 2"
#define kKrellProperty_Trigger3             "Trigger 3"
#define kKrellProperty_Trigger4             "Trigger 4"
#define kKrellProperty_InputTrigger1        "Input Trigger 1"
#define kKrellProperty_AudioDecode          "Audio Decode"
#define kKrellProperty_Muting               "Muting"
#define kKrellProperty_Zone2Muting          "Zone2 Muting"
#define kKrellProperty_CurrentAudioDecode   "Current Audio Decode"
#define kKrellProperty_Mode1                "Mode 1"
#define kKrellProperty_Button               "Krell Button"
#define kKrellProperty_CurrentZone          "Current Zone"

#define kKrellSignature_Command     "KrellCommand( CommandString )"

#endif /* KRELLPROPERTIES_H */

