// Copyright (c)2004 Paul Forgey
#ifndef HBTYPES_H
#define HBTYPES_H

#define MAX_PROPERTY_NAME_LENGTH          250
#define MAX_PROPERTY_DESCRIPTION_LENGTH   250

typedef struct _DEVICE_MODULE *DEVICE_MODULE_HANDLE;
typedef struct _DEVICE *DEVICE_HANDLE;
typedef struct _PROPERTY_VALUE *PROPERTY_VALUE_HANDLE;
typedef struct _PROPERTY *PROPERTY_HANDLE;
typedef struct _HARDWARE_INSTANCE *HARDWARE_INSTANCE_HANDLE;

//
// Trace message types
enum TRC_TYPE
{
   ttError,          // Trace as error message
   ttWarning,        // Trace as warning mesage
   ttDebug           // Trace as debug message
};

//
// Hardware Interface return codes
enum HARDWARE_RC
{
   hrcFailureRetry,  // Call has failed, but you should probably retry.
   hrcFailureAbort,  // Call has failed, please don't retry.
   hrcSuccess        // Call has succeeded.
};

#endif /* HBTYPES_H */
